## isbg 2.3.1

=== Makefile ===
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.

# Note: required utilities:
# - For test: pytest
# - For cov: python-pytest-cov and python3-pytest-cov, also
#            python-coverage
# - For docs: sphinx and recommonmark
TEST   = pytest-3 -m "not spamassassin"
COV    = pytest-3 -m "not spamassassin" --cov-append --cov isbg -m 2
COVREP = python3-coverage
COVDIR = build/htmlcov

.PHONY: help all test-clean test cov-clean cov docs clean \
        distclean build build-clean man sphinx sphinx-clean

help:
	@echo "Please use 'make <target>' where target is one of:"
	@echo "  help       to show this help message."
	@echo "   "
	@echo "  test       to run the tests."
	@echo "  cov        to check test 'coverage'."
	@echo "   "
	@echo "  build      build create a build dist 'python3 setup.py'."
	@echo "  docs       build the docs with 'sphinx'."
	@echo "    html     build only html pages"
	@echo "    man      build only manpages"
	@echo "   "
	@echo "  clean      clean generates files."
	@echo "  distclean  clean all generates files."


all: help

# -------------------------------------------------------------------- #
test-clean:
	rm -fr .pytest_cache
	rm -fr .cache

test:
	@$(TEST)

cov-clean:
	@$(COVREP) erase | true
	rm -f .coverage
	rm -fr $(COVDIR)

cov: cov-clean
	@$(COV)
	@$(COVREP) html --directory $(COVDIR)

# -------------------------------------------------------------------- #
build-clean:
	python3 setup.py clean
	rm -fr build/build
	rm -fr .eggs

build:
	python3 setup.py build -b build/build -t build/tmp
	python3 setup.py sdist -d build/dist --formats=bztar,zip
	python3 setup.py bdist -d build/dist
	python3 setup.py bdist_egg -d build/dist
	python3 setup.py bdist_wheel -d build/dist
	rm -fr isbg.egg-info
	rm -fr build/lib.*
	rm -fr build/bdist.*
	mv -f dist/* build/dist
	rmdir dist
	@echo "   "
	@echo "  See build/build for generated build files."
	@echo "  See build/dist for generated dist files."

# -------------------------------------------------------------------- #
sphinx-clean:
	rm -fr build.sphinx

sphinx:
	mkdir -p build.sphinx
	cp -fr docs/* build.sphinx
	# $(MAKE) -C build.sphinx apidoc  # It's called from sphinx

html: sphinx
	$(MAKE) -C build.sphinx html

man: sphinx
	$(MAKE) -C build.sphinx man

docs-clean: sphinx-clean
	$(MAKE) -C docs clean
	$(MAKE) -C docs clean-all

docs: html man
	@echo "   "
	@echo "  See build/sphinx/html for generated html docs."
	@echo "  See build/sphinx/man for generated manpages."

# -------------------------------------------------------------------- #
clean: test-clean sphinx-clean build-clean
	find . -name '*.pyc' -exec rm -f {} +
	rm -fr isbg/__pycache__
	rm -fr tests/__pycache__

distclean: clean cov-clean docs-clean
	$(MAKE) -C docs clean-all
	rm -fr build
	rm -fr dist
	rm -fr sdist
	rm -fr isbg.egg-info
	rm -f installed_files.txt

=== requirements.txt ===
docopt==0.6.2
chardet
typing
xdg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#
# NOTE: Best build it in another dir (i.e.: build.sphinx)
#

# You can set these variables from the command line.
SPHINXOPTS       = -a -E -n -t autobuild
SPHINXBUILD      = sphinx-build
SPHINXAPIDOC     = sphinx-apidoc
SPHINXAPIDOCOPTS = --force --separate --private --follow-links
SPHINXPROJ       = isbg
SOURCEDIR        = .
BUILDDIR         = ../build/sphinx
SOURCEPYDIR      = ../isbg

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
	@echo " "
	@echo "  apidoc      to run $(SPHINXAPIDOC)"
	@echo "  clean-all   to clean all generated files"

.PHONY: help Makefile apidoc

# Creates the apidoc
apidoc:
	$(SPHINXAPIDOC) -o "$(SOURCEDIR)" "$(SOURCEPYDIR)" $(SPHINXAPIDOCOPTS)

clean-all:
	@rm -fr "$(BUILDDIR)"

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## isbg 2.3.0

=== debian/changelog ===
isbg (2.3.0-1) unstable; urgency=medium

  * New upstream version. (Closes: #944520)
  * Update Standards-Version to 4.5.0.0 (no changes needed).
  * Fix failing testsuite (and autopkgtests). (Closes: #946145)
  * d/patches: refresh 0001.
  * d/control: add a dependency on sphinxdoc.
  * d/source/lintian-overrides: delete unused overrides.
  * d/gitlab-ci.yml: rename to salsa-ci.yml.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 08 Feb 2020 14:29:40 -0500

isbg (2.2.1-2) unstable; urgency=medium

  * Upstream VCS migrated to gitlab.com.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 18 Nov 2019 16:22:40 -0500

isbg (2.2.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #944520)
  * d/isbg.examples: Package examples.
  * d/tests: use upstream unit tests for autopkgtests.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 17 Nov 2019 11:01:17 -0500

isbg (2.1.5-1) unstable; urgency=medium

  * Initial release. (Closes: #587458)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 20 Oct 2019 04:00:29 -0400

=== debian/control ===
Source: isbg
Section: mail
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-doc,
               python3-docopt,
               python3-pytest <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-recommonmark <!nocheck>,
Standards-Version: 4.5.0.0
Vcs-Git: https://salsa.debian.org/python-team/applications/isbg.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/isbg
Homepage: https://gitlab.com/isbg/isbg

Package: isbg
Architecture: all
Depends: ${python3:Depends},
         ${sphinxdoc:Depends},
         ${misc:Depends},
         python3-docopt,
         python3-pkg-resources,
         python3-xdg,
         python3-chardet,
         spamassassin,
Description: scan spam with SpamAssassin via IMAP
 isbg is a script that makes it easy to scan an IMAP inbox for spam
 using SpamAssassin and get your spam moved to another folder.
 .
 Unlike the normal mode of deployments for SpamAssassin, isbg does not
 need to be involved in mail delivery, and can run on completely
 different machines to where your mailbox actually is. So this is the
 perfect tool to take good care of your ISP mailbox without having to
 leave it.

## isbg 2.3.1

=== debian/changelog ===
isbg (2.3.1-6) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-recommonmark. Closes: #1116756.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Tue, 07 Oct 2025 23:30:00 +0200

isbg (2.3.1-5) unstable; urgency=medium

  * Team upload.
  * Fix build with Sphinx 8 (Closes: #1090236)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 25 Dec 2024 21:31:34 +0100

isbg (2.3.1-4) unstable; urgency=medium

  * Team upload.
  * Drop extra TypeVar, fails in Python 3.12 (Closes: #1056415)
  * Switch to dh-sequences (Closes: #1047959)
  * Bump policy version (no changes)
  * Switch to autopkgtest-pkg-pybuild
  * Drop unused Depends
  * Drop salsa-ci.yml

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 02 Jan 2024 11:39:13 +0100

isbg (2.3.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 21:46:21 +0100

isbg (2.3.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Sep 2021 00:16:15 -0400

isbg (2.3.1-1) unstable; urgency=medium

  * New upstream version.
  * New uploader. Taowa Munene-Tardif will be taking over this package.
  * d/control: use debhelper 13.
  * d/tests: set XDG_CACHE_HOME explicitly.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 17 Aug 2020 17:44:03 -0400

=== debian/control ===
Source: isbg
Section: mail
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Taowa Munene-Tardif <taowa@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               python3-all,
               python3-setuptools,
               python3-sphinx-rtd-theme,
               python3-doc,
               python3-docopt,
               python3-pytest <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-recommonmark,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/python-team/packages/isbg.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/isbg
Homepage: https://gitlab.com/isbg/isbg
Testsuite: autopkgtest-pkg-pybuild

Package: isbg
Architecture: all
Depends: ${python3:Depends},
         ${sphinxdoc:Depends},
         ${misc:Depends},
         python3-xdg,
         python3-chardet,
         spamassassin,
Description: scan spam with SpamAssassin via IMAP
 isbg is a script that makes it easy to scan an IMAP inbox for spam
 using SpamAssassin and get your spam moved to another folder.
 .
 Unlike the normal mode of deployments for SpamAssassin, isbg does not
 need to be involved in mail delivery, and can run on completely
 different machines to where your mailbox actually is. So this is the
 perfect tool to take good care of your ISP mailbox without having to
 leave it.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = isbg
export PYBUILD_TEST_ARGS=-m "not spamassassin"

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installman:
	$(MAKE) docs man

execute_before_dh_installdocs:
	$(MAKE) docs html

execute_before_dh_auto_clean:
	$(MAKE) docs-clean

=== debian/watch ===
version=4
opts="mode=git, pgpmode=gittag" \
https://gitlab.com/isbg/isbg \
refs/tags/([\d\.]+)
